/*
**
** Copyright (C) 1995  Jonathan Paul Griffiths.  All rights reserved.
**
** You may do anything with this code you wish EXCEPT sell it. You may sell
** any software you create using this code,  but you MUST NOT charge for
** the code itself.  See the file "readme.jon" for more information.
*/  

#include <stdio.h>
#include <stdlib.h>
#include <jlib.h>

/*+------------------------------------------------------------------------+ */ 
/*|free the storage used by an image to the OS.                            | */ 
/*+------------------------------------------------------------------------+ */ 
image * image_free (image * img) 
{
 JLIB_PRINT_DEBUG_INFO ("Entering image_free()\n");
   
 if(img != NULL){
   free(img->data);
   free(img->palette);
   free(img);
 }
      
 return NULL;
   
      
 JLIB_PRINT_DEBUG_INFO ("Leaving image_free()\n");

}
